package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssUcloud;

/**
 * ucloud对象存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 22:27:45
 */
public interface SchisandraOssUcloudService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssUcloud queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssUcloud 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssUcloud schisandraOssUcloud);

    /**
     * 修改数据
     *
     * @param schisandraOssUcloud 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssUcloud schisandraOssUcloud);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
